UNMAP_KERNEL_RANGE(9)

NAME
unmap_kernel_range - unmap kernel VM area and flush cache and TLB

SYNOPSIS

void unmap_kernel_range(unsigned long addr, unsigned long size);

ARGUMENTS

addr
    start of the VM area to unmap

size
    size of the VM area to unmap

DESCRIPTION

Similar to unmap_kernel_range_noflush but flushes vcache before the unmapping and tlb after.

COPYRIGHT